Subject: Re: linux-next: manual merge of the driver-core tree with the iommu tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 19 Aug 2018 10:28:27 +1000

Hi all,

On Wed, 11 Jul 2018 13:14:45 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the driver-core tree got a conflict in:
> 
>   drivers/iommu/ipmmu-vmsa.c
> 
> between commits:
> 
>   0b8ac1409641 ("iommu/ipmmu-vmsa: Hook up r8a7796 DT matching code")
>   3701c123e1c1 ("iommu/ipmmu-vmsa: Hook up r8a779(70|95) DT matching code")
>   98dbffd39a65 ("iommu/ipmmu-vmsa: Hook up R8A77965 DT matching code")
> 
> from the iommu tree and commit:
> 
>   ac6bbf0cdf42 ("iommu: Remove IOMMU_OF_DECLARE")
> 
> from the driver-core tree.
> 
> I fixed it up (I removed the new IOMMU_OF_DECLARE() lines) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between Linus' tree and the iommu tree.
-- 
Cheers,
Stephen Rothwell